[Palus Knight Class Transfer]:
A Palus Knight who reaches level 40 can proceed with the 2nd class transfer to become a Shillien Knight or a Bladedancer. In order to accomplish the 2nd class transfer, a player must complete three quests. The first quest can only be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Shillien Knight
Bladedancer
Return
Close Window